%define dbver 3.1.17
%define realversion 1.2
%define majorversion  1.2

%define with_pilot 1

Name: evolution
Summary: Integrated GNOME mail client, calendar and address book
Version: 1.2.1
Release: alt3
License: GPL
Group: Office
Source: http://www.helixcode.com/apps/evolution-preview/%name-%version.tar.bz2
#Source: http://www.helixcode.com/apps/evolution-preview/%name-0.12.99.tar.bz2
Source2: evolution_48.png
Source3: evolution_32.png
Source4: evolution_16.png
Source6: db-%dbver.tar.bz2
Source7: ru.po

#MDK patches
# (fc) 1.0.2-2mdk fix KDE detection
Patch1: evolution-1.1.90-kde.patch
# (fc) 1.0.2-2mdk fix subversion in message header
Patch2: evolution-1.0.2-subversion.patch
# (fc) 1.1.90-1mdk allow shared ldap linking
Patch7:		evolution-1.1.90-sharedldap.patch
# (fc) 1.1.90-1mdk ensure translations retrieved with oaf are in UTF-8
Patch8: evolution-1.2.1-utf8.patch

Url: http://www.gnome.org/

PreReq: oaf >= 0.6.7
PreReq: scrollkeeper

Requires: gnome-vfs >= 1.0.5 , bonobo >= 1.0.22 , bonobo-conf >= 0.16, gtkhtml >= 1.1.7, gnome-spell >= 0.5
Provides: camel

BuildPreReq: gettext, libbonobo-devel, libglade-devel, libunicode-devel, xml-i18n-tools
BuildPreReq: libgnome-vfs-devel, libgtkhtml-devel >= 1.0.3, gnome-print-devel
BuildPreReq: libgal-devel >= 0.21, oaf-devel >= 0.6.7
%if %with_pilot
BuildPreReq: gnome-pilot-devel >= 0.1.71, pilot-link >= 0.9.5
%endif
BuildPreReq: bonobo-conf-devel >= 0.16
BuildPreReq: gnome-common

# Automatically added by buildreq on Mon Nov 18 2002
BuildRequires: ORBit-devel XFree86-devel XFree86-libs XFree86-locales bonobo-conf-devel docbook-dtds docbook-style-dsssl docbook-utils esound-devel flex freetype2-devel gdk-pixbuf-devel gdk-pixbuf-gnomecanvas glib-devel glibc-devel-static gnome-libs-devel gtk+-devel gtk-doc gtkhtml imlib-devel indent libGConf-devel libORBit libaudiofile-devel libbonobo-conf libbonobo-devel libdb1-devel libgal-devel libglade-devel libglade-gnome libgnome-pilot-devel libgnome-vfs-devel libgnomeprint-devel libgtkhtml-devel libgtkhtml20-devel libldap-devel liboaf libpilot-link-devel libpopt-devel libsoup-devel libssl-devel libwrap-devel libxml-devel libxml2 libxslt mozilla-nspr-devel mozilla-nss-devel oaf-devel openjade pkgconfig postfix python-devel scrollkeeper sgml-common sgmltools-lite xpm-devel zlib-devel

%if %with_pilot
BuildRequires: libpilot-link-devel  libgnome-pilot-devel
%endif

%description
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

%if %with_pilot

%package pilot
Summary: Evolution conduits for gnome-pilot
Group: Communications
Requires: %name = %version-%release
Requires: gnome-pilot >= 0.1.61

%description pilot
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This package contains conduits needed by gnome-pilot to
synchronize your Palm with Evolution
%else
Obsoletes: evolution-pilot
%endif

%package devel
Summary: Libraries and include files for developing Evolution components
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Provides: camel-devel
%description devel
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This package contains the files necessary to develop applications
using Evolution's libraries.

%package devel-static
Summary: Static libraries for developing Evolution components
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release

%description devel-static
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

This package contains the files necessary to develop statically linked
applications using Evolution's libraries.

%prep
%setup -q
%patch1 -p1 -b .kde
%patch2 -p1 -b .subversion
%patch7 -p1 -b .sharedldap
%patch8 -p1 -b .utf8

cd po
rm -f ru.*
cp %SOURCE7 .
mv ru.po ru_RU.UTF-8.po
msgfmt -o ru_RU.UTF-8.gmo ru_RU.UTF-8.po
iconv -f UTF-8 -t KOI8-R ru_RU.UTF-8.po > ru_RU.KOI8-R.po
%__subst 's|UTF-8|koi8-r|' ru_RU.KOI8-R.po
msgfmt -o ru_RU.KOI8-R.gmo ru_RU.KOI8-R.po
iconv -f UTF-8 -t CP1251 ru_RU.UTF-8.po > ru_RU.CP1251.po
%__subst 's|UTF-8|cp1251|' ru_RU.CP1251.po
msgfmt -o ru_RU.CP1251.gmo ru_RU.CP1251.po
mv uk.po uk_UA.UTF-8.po
msgfmt -o uk_UA.UTF-8.gmo uk_UA.UTF-8.po
iconv -f UTF-8 -t KOI8-U uk_UA.UTF-8.po > uk_UA.KOI8-U.po
%__subst 's|utf-8|koi8-u|' uk_UA.KOI8-U.po
msgfmt -o uk_UA.KOI8-U.gmo uk_UA.KOI8-U.po
iconv -f UTF-8 -t CP1251 uk_UA.UTF-8.po > uk_UA.CP1251.po
%__subst 's|utf-8|cp1251|' uk_UA.CP1251.po
msgfmt -o uk_UA.CP1251.gmo uk_UA.CP1251.po
cd -

#fix gnome-pilot macro and patch7
aclocal -I /usr/share/aclocal/gnome-macros
autoconf
( cd libical; aclocal; autoconf )
%__subst 's|ru |ru_RU.KOI8-R ru_RU.CP1251 ru_RU.UTF-8 |' configure
%__subst 's|uk |uk_UA.KOI8-U uk_UA.CP1251 uk_UA.UTF-8 |' configure

# install db3 in separate directory
(cd .. ; rm -rf db-3.1.17 ; bzcat %SOURCE6 | tar xf - )

%build
(cd ../db-3.1.17/dist
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=$PWD/../prefix
%make_build
make install
)

CFLAGS="$RPM_OPT_FLAGS -fPIC"; export CFLAGS
%configure --with-openldap \
--with-nspr-includes=%_includedir/nspr --with-nss-includes=%_includedir/nss \
--with-db3=$PWD/../db-3.1.17/prefix  \
--with-openldap=yes --with-static-ldap=no  \
--with-sub-version=" (%version-%release)" \
--enable-file-locking=fcntl --enable-dot-locking=no --enable-ipv6 \
%if %with_pilot
--enable-pilot-conduits=yes
%else
--enable-pilot-conduits=no
%endif

DISPNUM=0
while [ -f /tmp/.X$DISPNUM-lock -o -e /tmp/.X11-unix/X$DISPNUM ]; do
    DISPNUM=$(($DISPNUM+1))
done
DISPLAY=:$DISPNUM
%_x11bindir/Xvfb $DISPLAY &
export DISPLAY

%make
#kill $(cat /tmp/.X$DISPNUM-lock)

%install
make DESTDIR=$RPM_BUILD_ROOT install

perl -pi -e "s,-L$RPM_BUILD_DIR/evolution-%version/camel,," $RPM_BUILD_ROOT%_libdir/*.la

mkdir -p $RPM_BUILD_ROOT%_iconsdir  $RPM_BUILD_ROOT%_liconsdir  $RPM_BUILD_ROOT%_miconsdir
cp -f %SOURCE2 $RPM_BUILD_ROOT%_liconsdir/evolution.png
cp -f %SOURCE3 $RPM_BUILD_ROOT%_iconsdir/evolution.png
cp -f %SOURCE4 $RPM_BUILD_ROOT%_miconsdir/evolution.png
mkdir -p $RPM_BUILD_ROOT%_menudir
cat << EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name): \
	command="%_bindir/evolution" \
	icon="evolution.png" \
	needs="X11" \
	section="Networking/Mail" \
	title="Evolution" \
	longtitle="GNOME mailer, calendar, contact manager and communications tool"
EOF

mkdir -p $RPM_BUILD_ROOT%_sysconfdir/gnome/config
cat << EOF > $RPM_BUILD_ROOT%_sysconfdir/gnome/config/Gnome
[URL Handlers]
mailto-show=evolution "%s"
EOF

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%_libdir/gnome-pilot/conduits/*.{a,la}

# .directory files  convertion
find $RPM_BUILD_ROOT%_datadir/ -name '*.desktop' -type f -exec \
 %_bindir/conv_deskfiles.pl {} \; || :
find $RPM_BUILD_ROOT%_datadir/ -name '.directory' -type f -exec \
 %_bindir/conv_deskfiles.pl {} \; || :

rm -rf $RPM_BUILD_ROOT%_datadir/locale/*KOI8*
rm -rf $RPM_BUILD_ROOT%_datadir/locale/*CP1251*
mv $RPM_BUILD_ROOT%_datadir/locale/ru_RU.UTF-8 $RPM_BUILD_ROOT%_datadir/locale/ru
mv $RPM_BUILD_ROOT%_datadir/locale/uk_UA.UTF-8 $RPM_BUILD_ROOT%_datadir/locale/uk 

%find_lang %name --with-gnome

%pre
if [ "$DURING_INSTALL" = "" ]; then
	%_bindir/oaf-slay -s ||:
fi

%post
/sbin/ldconfig
%update_scrollkeeper
%update_menus

%postun
/sbin/ldconfig
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %_sysconfdir/gnome/config/*
%_bindir/*
%_sbindir/*
%_libdir/*.so.*
%dir %_libdir/evolution
%dir %_libdir/evolution/%majorversion/camel-providers/
%dir %_libdir/evolution/%majorversion/evolution-mail-importers/
%_libdir/evolution/%majorversion/camel-providers/*.so*
%_libdir/evolution/%majorversion/camel-providers/*.urls
%_libdir/evolution/%majorversion/evolution-mail-importers/*.so*
%_libdir/evolution/%majorversion/*.so*
%_datadir/gnome/help/evolution
%_datadir/gnome/help/cal
%_datadir/gnome/apps/*/*
%_datadir/gnome/ui/*.xml
%_datadir/evolution
%_datadir/idl/*.idl
%_datadir/oaf/*
%_datadir/pixmaps/*
%_datadir/mime-info/*
%dir %_datadir/images
%_datadir/images/evolution
%_datadir/libical-evolution
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png
%_menudir/%name
%_datadir/omf/*
%_mandir/man1/*

%files devel
%_libdir/libca*.so
%_libdir/libca*.la
%_libdir/libe*.so
%_libdir/libe*.la
%_libdir/evolution/%majorversion/camel-providers/*.la
%_libdir/evolution/%majorversion/evolution-mail-importers/*.la
#%_includedir/*.h
%_includedir/camel
%_includedir/ename
%_includedir/evolution
%_datadir/gnome/html/*

%files devel-static
%_libdir/libca*.a
%_libdir/libe*.a
%_libdir/evolution/%majorversion/camel-providers/*.a
%_libdir/evolution/%majorversion/evolution-mail-importers/*.a

%if %with_pilot
%files pilot
%_libdir/gnome-pilot/conduits/*.so
%_datadir/gnome-pilot/conduits/*
%endif

%changelog
* Wed Feb 05 2003 AEN <aen@altlinux.ru> 1.2.1-alt3
- new ru.po from CVS added

* Wed Jan 15 2003 AEN <aen@altlinux.ru> 1.2.1-alt2
- requires fixed 

* Mon Dec 23 2002 AEN <aen@altlinux.ru> 1.2.1-alt1
- new version

* Mon Dec 02 2002 AEN <aen@altlinux.ru> 1.2.0-alt3
- added Requires on gnome-vfs >= 1.0.5 

* Tue Nov 19 2002 AEN <aen@altlinux.ru> 1.2.0-alt2
- fixed permissions

* Mon Nov 18 2002 AEN <aen@altlinux.ru> 1.2.0-alt1
- new version

* Thu Oct 24 2002 AEN <aen@altlinux.ru> 1.0.8-alt3
- scrollkeeper patch from MDK
- build with pilot

* Tue Oct 22 2002 AEN <aen@altlinux.ru> 1.0.8-alt2
- rebuilt with mozilla-1.2a
- pilot temporary disabled

* Mon Jul 01 2002 AEN <aen@logic.ru> 1.0.8-alt1
- new version

* Mon Jun 17 2002 AEN <aen@logic.ru> 1.0.7-alt1
- new version
- patch2 removed

* Wed Jun 05 2002 AEN <aen@logic.ru> 1.0.5-alt3
- rebuild with mozilla-1.0
- patch2 from CVS

* Wed May 15 2002 AEN <aen@logic.ru> 1.0.5-alt2
- enable-file-locking=fcntl

* Mon May 13 2002 AEN <aen@logic.ru> 1.0.5-alt1
- new version

* Tue Mar 26 2002 AEN <aen@logic.ru> 1.0.3-alt1
- new version
- build with external nss

* Wed Mar 13 2002 AEN <aen@logic.ru> 1.0.2-alt3
- *.desktop converted

* Sun Mar 10 2002 AEN <aen@logic.ru> 1.0.2-alt2
- rebuild with static nss-1.1.3

* Mon Feb 04 2002 AEN <aen@logc.ru> 1.0.2-alt1
- new version

* Fri Jan 25 2002 AEN <aen@logic.ru> 1.0.1-alt5
- BuildRequires generated

* Fri Jan 25 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.1-alt4
- Updated buildrequires.

* Thu Jan 17 2002 AEN <aen@logic.ru> 1.0.1-alt3
- requires: gtkhtml added

* Tue Jan 15 2002 AEN <aen@logic.ru> 1.0.1-alt2
- updates russian translation

* Mon Jan 14 2002 AEN <aen@logic.ru> 1.0.1-alt1
- new version
- patches 0-1 removed, patch2 refreshed

* Wed Dec 05 2001 AEN <aen@logic.ru> 1.0-alt1
- release

* Wed Nov 21 2001 AEN <aen@logic.ru> 0.99.2-alt2
- official RC2
- rebuild with new gnome-pilot

* Mon Nov 19 2001 AEN <aen@logic.ru> 0.99.2-alt1
- snapshot

* Fri Nov 09 2001 AEN <aen@logic.ru> 0.99-alt2
- w/o font patch

* Fri Nov 09 2001 AEN <aen@logic.ru> 0.99-alt1
- new version

* Mon Oct 29 2001 AEN <aen@logic.ru> 0.16-alt0.1
- build snapshot

* Tue Oct 09 2001 AEN <aen@logic.ru> 0.15-alt2
- fonts patch

* Tue Oct 09 2001 AEN <aen@logic.ru> 0.15-alt1
- new version

* Wed Sep 12 2001 AEN <aen@logic.ru> 0.13-alt3
- requires bonobo-conf
* Mon Sep 10 2001 AEN <aen@logic.ru> 0.13-alt2
- i18n patch from MDK

* Fri Sep 07 2001 AEN <aen@logic.ru> 0.13-alt1
- release 0.13

* Wed Sep 05 2001 AEN <aen@logic.ru> 0.13-alt0.1
- snapshot

* Wed Sep 05 2001 AEN <aen@logic.ru> 0.12-alt3
- rebuild with new libgal/gtkhtml
- oaf-slay added to %post

* Tue Aug 23 2001 AEN <aen@logic.ru> 0.12-alt2
- rebuild with new libtool/autoconf

* Thu Aug 09 2001 AEN <aen@logic.ru> 0.12-alt1
- new version
* Wed Jul 24 2001 AEN <aen@logic.ru> 0.11-alt1
- new version
- w/o movemail

* Wed Jul 17 2001 AEN <aen@logic.ru> 0.10.99-alt3
- new snapshot with  gtkhtml-0.10.0

* Thu Jul 12 2001 AEN <aen@logic.ru> 0.10.99-alt2
- new snapshot

* Mon Jul 9 2001 AEN <aen@logic.ru> 0.10.99-alt1
- new version with db-3.1.17

* Thu May 24 2001 AEN <aen@logic.ru> 0.10-alt5
- built cvs version with libgal-0.8 and gtkhtml-0.9.3+
- built w/o pilot, ssl, nspr

* Thu May 17 2001 AEN <aen@logic.ru> 0.10-alt4
- build with pilot support

* Wed May 16 2001 AEN <aen@logic.ru> 0.10-alt3
- charset patch
- ru.po fixed

* Tue May 15 2001 AEN <aen@logic.ru> 0.10-alt2
- %files fixed

* Tue May 15 2001 AEN <aen@logic.ru> 0.10-alt1
- 0.10
* Mon Apr 9 2001 AEN <aen@logic.ru> 0.9-ipl3mdk
- sync with MDK
- rebuild in Gnome-1.4 environment

* Mon Mar 19 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.9-ipl2mdk
- Moved static libraries to devel-static subpackage.

* Wed Mar 14 2001 AEN <aen@logic.ru> 0.9-ipl1mdk
- 0.9

* Thu Feb 22 2001 AEN <aen@logic.ru> 0.8-ipl3mdk
- build ximean snapsot 2001/02/16

* Thu Feb 22 2001 AEN <aen@logic.ru> 0.8-ipl2mdk
- rebuild with new libraries
- gal-0.5 patch

* Sat Dec 16 2000 AEN <aen@logic.ru>
- 0.8
- adopted for RE
* Thu Nov 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-3mdk
- Really remove dependency on old libstdc++

* Sat Nov  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6-2mdk
- simple rebuild (new libstdc++)

* Fri Oct 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6
- Disable LDAP (OpenLDAP 2.0 not supported yet)

* Mon Sep 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-1mdk
- Release 0.5.1

* Fri Sep 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-2mdk
- add missing icons

* Thu Sep 14 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5 (+ merge from Helix 0mdk_helix_1)

* Mon Aug 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Release 0.4.1 (merge from Helix 0_helix_1)
- no longer conflict with gnome-pim

* Fri Aug 11 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-2mdk
- add dependency on gnome-vfs
- add menu entry

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-1mdk
- Release 0.3.1
- first mandrake package : BM + macroszification
- Build without GConf

* Sun May 21 2000 Ross Golder <rossigee@bigfoot.com>
- created spec file
